@charset "UTF-8";
/* Reseteamos los margenes */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; }

/* newStyles */
/* Tipos de letra que ocuparemos */
.btn--twitter {
  background: #1d9bf0;
  color: #ffffff; }

.btn--facebook {
  background: #0f91f3;
  color: #ffffff; }

.btn--linkedin {
  background: #0a66c2;
  color: #ffffff; }

.btn--youtube {
  background: #ff0000;
  color: #ffffff; }

body {
  background: #534340;
  font-family: "Josefin Sans", sans-serif; }

h1, h2 {
  font-family: "Merriweather", serif; }

h2 {
  font-size: 21px; }

/* imagen flotante de contacto */
.imgContacto {
  position: fixed;
  top: 90%;
  left: 90%;
  width: 60px;
  z-index: 1; }

.contenedor {
  background: #f4fcd9;
  padding: 10px;
  margin: 10px auto;
  width: 90%;
  gap: 1rem;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, auto);
  grid-template-areas: "header header header" "contenido contenido contenido" "footer footer footer"; }

.header {
  background-color: #534340;
  color: #9dc45b;
  border-radius: 4px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  grid-area: header; }
  .header img {
    width: 350px; }

/* aqui los ajustes del menu */
/* probando el navbar de bootstrap */
.navbar {
  padding: 0.2rem;
  width: 100%;
  margin: 3px;
  grid-area: nav; }

/* ajustes al .navbar menu */
.menu {
  list-style-type: none;
  text-align: end;
  /* padding: 1.2rem;           apagar */ }
  .menu li {
    display: inline-block;
    position: relative;
    font-size: 1.4rem;
    margin: 5px 10px;
    text-align: center; }
  .menu ul {
    display: none;
    position: absolute; }
    .menu ul li {
      padding: auto;
      font-size: 1rem; }
  .menu a {
    color: white;
    text-decoration: none; }
    .menu a:hover {
      color: chartreuse; }

/* ajustes a main */
main h2 {
  font-size: 2.5rem;
  margin-top: 0.5rem; }

main h3 {
  font-size: 1.17em;
  margin-bottom: 2.5rem;
  margin: 2px;
  padding: 10px; }

/* ajustes del footer */
.footer {
  background-color: #534340;
  color: #9dc45b;
  border-radius: 4px;
  padding-top: 1rem;
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  margin-top: 1rem;
  grid-area: footer; }
  .footer a {
    color: white; }

.contenido {
  border-radius: 4px;
  line-height: 1.5;
  text-align: center;
  grid-area: contenido; }

.home {
  display: grid;
  gap: 0.5rem;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(5, auto);
  grid-template-areas: "bienvenida bienvenida bienvenida" "cuarta cuarta cuarta" "tercera tercera tercera" "segunda segunda segunda " "salon-fama salon-fama salon-fama"; }

.contacto {
  display: grid;
  /* align-items: center; */
  gap: 1rem;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(4, auto);
  grid-template-areas: "bienvenida bienvenida bienvenida" "formulario formulario mapa" "formulario formulario mapa" "formulario formulario direccion"; }

.nosotros {
  display: grid;
  /* align-items: center; */
  gap: 1rem;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, auto);
  grid-template-areas: "bienvenida bienvenida bienvenida" "card1 card2 card3" "lema lema lema"; }

.fichas .sku {
  font-size: 10px; }

.fichas .precio {
  font-size: 28px; }
  .fichas .precio span {
    color: #9dc45b; }

.fichas .table .tipo {
  width: 25%;
  font-family: "Merriweather", serif;
  font-weight: bold; }

.fichas .table .info {
  font-family: "Josefin Sans", sans-serif;
  font-weight: normal;
  padding-left: 1rem; }

.table-hover tbody tr:hover td {
  background: #f4fcd9; }

.bienvenida {
  text-align: center;
  overflow: hidden;
  grid-area: bienvenida; }

.salon-fama, .categoria__info {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  grid-area: salon-fama; }

.productos img {
  width: 100px; }

.productos a {
  text-decoration: none;
  color: #534340; }

.categorias {
  padding-top: 15px; }
  .categorias a {
    text-decoration: none;
    color: #534340; }

.top10productos, .categoria__papel {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  margin: 0.5rem;
  transition: all 0.3s ease-in-out; }
  .top10productos:hover, .categoria__papel:hover {
    transform: scale(1.1); }

.top10categorias {
  border: 1px none #bb9981;
  border-top-right-radius: 13px;
  border-bottom-right-radius: 13px;
  display: flex;
  width: 100px;
  height: 30px;
  padding: 5px;
  align-items: center;
  transition: all 0.3s ease-in-out;
  background-color: #f4fcd9; }
  .top10categorias h4 {
    margin: 3px;
    font-size: 16px; }
  .top10categorias:hover {
    background-color: #534340;
    color: #f4fcd9;
    transform: scale(1.1) translate(0, -10%); }

/* Datos del producto, primero los settings del cajon */
.data-producto {
  width: 14rem;
  font-size: 14px;
  overflow: hidden; }
  .data-producto h2 {
    font-weight: bold;
    color: #9dc45b;
    font-size: 21px; }
  .data-producto span {
    color: #534340;
    font-weight: bold; }
  .data-producto .precio {
    font-size: 16px; }

.formulario {
  background-color: #ffffff;
  width: 100%;
  font-family: Arial, Helvetica, sans-serif;
  box-shadow: 7px 13px 25px #000001;
  grid-area: formulario; }

.contact {
  padding: 0.8rem;
  overflow: hidden;
  color: gray; }

.contact label,
.contact input,
.contact textarea {
  display: block;
  width: 100%;
  margin-bottom: 8px; }

.contact label {
  font-weight: 700px;
  text-align: left; }

.contact input:not([type="submit"]),
.contact textarea {
  border: none;
  border-bottom: 2px solid #008e97;
  margin-bottom: 10px;
  font-size: 20px;
  outline: none; }

.contact input[type="submit"] {
  padding: 10px;
  border: none;
  background-color: #008e97;
  color: white;
  font-size: 20px;
  cursor: pointer; }

.gmap {
  width: 600px; }

.mapa {
  width: 100%;
  grid-area: mapa; }

.direccion {
  color: #534340;
  font-size: 18px;
  font-weight: 800;
  text-align: center;
  width: 600px;
  grid-area: direccion; }

.pregunta {
  text-align: left;
  margin: 20px; }

.segunda, .seccion_categoria {
  margin-top: 2rem;
  grid-area: segunda; }

.tercera {
  margin-top: 2rem;
  padding-left: 15rem;
  padding-right: 15rem;
  grid-area: tercera; }

.cuarta {
  margin-top: 2rem;
  z-index: 0;
  grid-area: cuarta; }

/* las tarjetas de nosotros */
.cards {
  width: 17rem;
  overflow: hidden;
  position: relative;
  border-radius: 15px;
  box-shadow: 7px 13px 37px #000001; }
  .cards h2 {
    font-size: 30px; }
  .cards .cardTop {
    width: 100%;
    height: 200px;
    overflow: hidden;
    position: relative;
    background-color: #222121;
    /* el efecto diagonal bajo la imagen */ }
    .cards .cardTop::before {
      content: "";
      position: absolute;
      left: 0;
      width: 100px;
      border-top: 30px solid transparent;
      border-left: 400px solid white;
      bottom: 0; }
    .cards .cardTop img {
      height: 199px; }
  .cards .cardInfo {
    padding: 10px;
    overflow: hidden;
    text-align: center; }
    .cards .cardInfo h2 {
      margin: 0.5em 0; }
    .cards .cardInfo p {
      margin: 1em 0; }
  .cards ul li {
    list-style: none;
    display: inline-block;
    margin: 0.5em 0.2em; }
    .cards ul li a {
      text-decoration: none;
      color: #ffffff;
      width: 30px;
      height: 30px;
      line-height: 30px !important;
      border-radius: 50%;
      transition: all 0.3s ease-in-out; }
      .cards ul li a:hover {
        transform: scale(1.4); }
  .cards .cardBottom {
    width: 100%;
    height: 80px;
    background: #222121;
    position: relative;
    /* el efecto diagonal encima del cardBottom */ }
    .cards .cardBottom::before {
      content: "";
      position: relative;
      width: 100px;
      border-bottom: 30px solid transparent;
      border-right: 400px solid white;
      top: -4px; }

/* declaramos el grid-area que ocuparan las cards y el lema */
.card1 {
  grid-area: card1; }

.card2 {
  grid-area: card2; }

.card3 {
  grid-area: card3; }

.lema {
  margin: 1rem;
  padding: 0.5rem;
  grid-area: lema; }

.boton1 {
  width: 95%;
  font-size: 30px;
  padding: 8px 0;
  border: 2px solid #bb9981;
  border-radius: 10px;
  color: #534340;
  background-color: #9dc45b; }
  .boton1:hover {
    color: #9dc45b;
    background-color: #534340; }

.borde-uno {
  border: 5px outset #bb9981;
  border-radius: 20px; }

.accordion-button:focus {
  box-shadow: inset 0 -1px 0 #a5a1a1; }

.accordion-button:not(.collapsed) {
  color: #534340;
  background-color: #9dc45b;
  box-shadow: inset 0 -1px 0 #a5a1a1; }

.accordion-body {
  border: 2px solid #9dc45b;
  border-bottom-right-radius: 15px;
  border-bottom-left-radius: 15px;
  overflow: hidden; }

p {
  margin: 0; }

.copyright {
  color: #bb9981;
  text-align: center;
  font-size: 8px; }

.E404 h1, .E404 h2 {
  font-size: 8vh; }

.E404 .p1 {
  font-size: 6vh; }

.E404 .p2 {
  font-size: 3vh; }

/* Aqui iran los @medias */
/* pantallas mayores a 770px */
@media screen and (min-width: 770px) {
  .menu li:hover ul {
    display: block;
    background-color: #008e97; } }

/* pantallas medianas tablets 768px */
@media screen and (max-width: 770px) {
  .header {
    flex-direction: column;
    align-items: center; }
  .header img {
    margin: 1px;
    /* width: 100px; */ }
  .header h1, .header h2 {
    display: none; }
  .contacto {
    grid-template-areas: "bienvenida bienvenida bienvenida" "formulario formulario formulario" "direccion direccion direccion" "mapa mapa mapa"; }
  .nosotros {
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas: "bienvenida bienvenida" "card1 card2 " "card3 card4 " "lema lema"; }
  .direccion {
    padding: 2rem;
    text-align: center;
    grid-area: direccion; }
  .tercera {
    padding-left: 5rem;
    padding-right: 5rem; } }

/* pantallas pequeñas 480px */
@media screen and (max-width: 565px) {
  .header {
    flex-direction: column;
    align-items: center;
    /* width:auto; */ }
  .header img {
    margin: 1px;
    /* width: 100px; */ }
  .header h1, .header h2 {
    display: none; }
  .header h2 {
    font-size: 1rem; }
  main h2 {
    font-size: 1.5rem; }
  main h3 {
    font-size: 0.57em; }
  .menu li {
    display: block;
    font-size: 0.8rem; }
  .imgContacto {
    left: 80%; }
  .contacto {
    grid-template-areas: "bienvenida bienvenida bienvenida" "formulario formulario formulario" "direccion direccion direccion" "mapa mapa mapa"; }
  .gmap {
    width: 250px;
    height: 200px; }
  .direccion {
    padding: 2rem;
    text-align: center;
    width: 250px;
    grid-area: direccion; }
  .nosotros {
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas: "bienvenida bienvenida bienvenida" "card1 card1 card1" "card2 card2 card2" "card3 card3 card3" "lema lema lema"; }
  .cards {
    transform: scale(0.8); }
  .tercera {
    padding-left: 0rem;
    padding-right: 0rem; }
  .lema {
    font-size: 21px; }
  .pregunta {
    font-stretch: 20%; }
  .footer {
    font-size: 10px; }
  .fichas .table .tipo {
    font-size: 14px; }
  .fichas .table .info {
    font-size: 14px; } }
